@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&family=Nunito:ital,wght@0,300;1,300&display=swap");
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit; }

html {
  box-sizing: border-box; }

.grid-container {
  display: grid;
  grid-template-rows: 80vh min-content 40vw repeat(3, min-content);
  grid-template-columns: [sidebar-start] 8rem [sidebar-end full-start] minmax(6rem, 1fr) [center-start] repeat(8, [col-start] minmax(min-content, 14rem) [col-end]) [center-end] minmax(6rem, 1fr) [full-end]; }
  @media only screen and (max-width: 62.5em) {
    .grid-container {
      grid-template-rows: 6rem 80vh min-content 40vw repeat(3, min-content);
      grid-template-columns: [full-start] minmax(6rem, 1fr) [center-start] repeat(8, [col-start] minmax(min-content, 14rem) [col-end]) [center-end] minmax(6rem, 1fr) [full-end]; } }
  @media only screen and (max-width: 50em) {
    .grid-container {
      grid-template-rows: 6rem calc(100vh - 6rem); } }

html {
  font-size: 62.5%; }
  @media only screen and (max-width: 75em) {
    html {
      font-size: 50%; } }

body {
  font-family: "Nunito", sans-serif;
  color: #6d5d4b;
  font-weight: 300;
  line-height: 1.6; }

.heading-1, .heading-2, .heading-3, .heading-4 {
  font-family: "Josefin Sans", sans-serif;
  font-weight: 400; }

.heading-1 {
  font-size: 4.5rem;
  color: #f9f7f6;
  line-height: 1; }

.heading-2 {
  font-size: 4rem;
  font-style: italic;
  line-height: 1; }
  .heading-2--light {
    color: #f9f7f6; }
  .heading-2--dark {
    color: #767676; }

.heading-3 {
  font-size: 1.6rem;
  color: #c69963;
  text-transform: uppercase; }

.heading-4 {
  font-size: 1.9rem; }
  .heading-4--light {
    color: #f9f7f6; }
  .heading-4--dark {
    color: #767676; }

.mb-sm {
  margin-bottom: 2rem; }

.mb-md {
  margin-bottom: 3rem; }

.mb-lg {
  margin-bottom: 4rem; }

.mb-hg {
  margin-bottom: 8rem; }

.btn {
  background-color: #c69963;
  color: #fff;
  font-family: "Josefin Sans", sans-serif;
  font-size: 1.5rem;
  text-transform: uppercase;
  padding: 1.8rem 3rem;
  border: none;
  border-radius: 0;
  cursor: pointer;
  transition: all .2s; }
  .btn:hover {
    background-color: #B28451; }

.home__btn {
  grid-column: 1 / -1; }

.home {
  background-color: #f9f7f6;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 3.5rem 0; }
  .home__img {
    grid-column: 1 / -1;
    grid-row: 1 / 2;
    width: 100%;
    z-index: 1; }
  .home__like {
    grid-column: 2 / 3;
    grid-row: 1 / 2;
    z-index: 2;
    justify-self: end;
    margin: 1rem;
    fill: #c69963;
    height: 2.5rem;
    width: 2.5rem; }
  .home__name {
    grid-column: 1 / -1;
    grid-row: 1 / 2;
    justify-self: center;
    align-self: end;
    z-index: 3;
    width: 80%;
    transform: translateY(50%);
    font-family: "Josefin Sans", sans-serif;
    font-size: 1.6rem;
    text-align: center;
    padding: 1.25rem;
    background-color: #101d2c;
    color: #fff;
    font-weight: 500; }
  .home__location, .home__rooms {
    margin: 2.5rem 0 0; }
  .home__location, .home__rooms, .home__area, .home__price {
    font-size: 1.5rem;
    margin-left: 2rem;
    display: flex;
    align-items: center; }
    .home__location svg, .home__rooms svg, .home__area svg, .home__price svg {
      fill: #c69963;
      height: 2rem;
      width: 2rem;
      margin: 0 1rem 0; }

.feature {
  display: grid;
  grid-template-columns: min-content 1fr;
  gap: 1.5rem 2.5rem; }
  .feature__icon {
    fill: #c69963;
    width: 4.5rem;
    height: 4.5rem;
    grid-row: 1 / span 2;
    transform: translateY(-1rem); }
  .feature__text {
    font-size: 1.7rem; }

.features {
  grid-column: center-start / center-end;
  margin: 15rem 0;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  gap: 6rem;
  align-items: start; }

.footer {
  background-color: #101d2c;
  grid-column: full-start / full-end;
  padding: 8rem; }
  .footer__nav {
    list-style: none;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
    gap: 2rem;
    align-items: center; }
  .footer__nav-link:link, .footer__nav-link:visited {
    font-family: "Josefin Sans", sans-serif;
    font-size: 1.4rem;
    padding: 1.5rem;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    text-align: center;
    display: block;
    transition: all .2s; }
  .footer__nav-link:hover, .footer__nav-link:active {
    background-color: rgba(255, 255, 255, 0.05);
    transform: translateY(-0.3rem); }

.copyright {
  color: #aaa;
  font-size: 1.4rem;
  text-align: center;
  margin: 6rem auto 0;
  width: 70%; }

.gallery {
  background-color: #767676;
  grid-column: full-start / full-end;
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-template-rows: repeat(7, 5vw);
  gap: 1.5rem;
  padding: 1.5rem; }
  .gallery__item {
    overflow: hidden; }
    .gallery__item--1 {
      grid-column: 1 / 3;
      grid-row: 1 / 3; }
    .gallery__item--2 {
      grid-column: 3 / 6;
      grid-row: 1 / 4; }
    .gallery__item--3 {
      grid-column: 6 /7;
      grid-row: 1 / 3; }
    .gallery__item--4 {
      grid-column: 7 / 9;
      grid-row: 1 / 3; }
    .gallery__item--5 {
      grid-column: 1 / 3;
      grid-row: 3 / 6; }
    .gallery__item--6 {
      grid-column: 3 / 5;
      grid-row: 4 / 6; }
    .gallery__item--7 {
      grid-column: 5 / 6;
      grid-row: 4 / 5; }
    .gallery__item--8 {
      grid-column: 6 / 8;
      grid-row: 3 / 5; }
    .gallery__item--9 {
      grid-column: 8 / 9;
      grid-row: 3 / 6; }
    .gallery__item--10 {
      grid-column: 1 / 2;
      grid-row: 6 / 8; }
    .gallery__item--11 {
      grid-column: 2 / 4;
      grid-row: 6 / 8; }
    .gallery__item--12 {
      grid-column: 4 / 5;
      grid-row: 6 / 8; }
    .gallery__item--13 {
      grid-column: 5 / 8;
      grid-row: 5 / 8; }
    .gallery__item--14 {
      grid-column: 8 / 9;
      grid-row: 6 / 8; }
  .gallery__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transition: all .2s; }
    .gallery__img:hover {
      transform: scale(1.05); }

.header {
  background-color: #767676;
  grid-column: full-start / col-end 6;
  background-image: linear-gradient(rgba(16, 29, 44, 0.93), rgba(16, 29, 44, 0.93)), url(../img/hero.jpeg);
  background-size: cover;
  background-position: center;
  padding: 4rem 8rem 8rem;
  display: grid;
  grid-template-columns: minmax(min-content, max-content);
  grid-template-rows: 1fr min-content minmax(6rem, min-content) 1fr;
  gap: 1.5rem;
  justify-content: center; }
  @media only screen and (max-width: 50em) {
    .header {
      grid-column: full-start / full-end; } }
  @media only screen and (max-width: 37.5em) {
    .header {
      padding: 3rem 5rem 5rem; } }
  .header__logo {
    height: 3rem;
    justify-self: center; }
  .header__btn {
    align-self: start;
    justify-self: start; }
  .header__seenon-text {
    display: grid;
    grid-template-columns: 1fr max-content 1fr;
    align-items: center;
    gap: 0 1.5rem;
    font-size: 1.6rem;
    color: #aaa; }
    .header__seenon-text::before, .header__seenon-text::after {
      content: '';
      height: 1px;
      display: block;
      background-color: currentColor; }
  .header__seenon-logos {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 0 3rem;
    justify-items: center;
    align-items: center; }
    .header__seenon-logos img {
      max-height: 2.5rem;
      max-width: 100%;
      filter: brightness(70%); }

.homes {
  grid-column: center-start / center-end;
  margin: 15rem 0;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  gap: 7rem; }

.realtors {
  background-color: #101d2c;
  grid-column: col-start 7 / full-end;
  padding: 3rem;
  display: grid;
  align-content: center;
  justify-content: center;
  justify-items: center;
  gap: 2rem 0; }
  @media only screen and (max-width: 50em) {
    .realtors {
      grid-column: full-start / full-end; } }
  .realtors__list {
    display: grid;
    grid-template-columns: min-content max-content;
    align-items: center;
    gap: 5vh 2rem; }
    @media only screen and (max-width: 50em) {
      .realtors__list {
        grid-template-columns: repeat(3, min-content max-content); } }
    @media only screen and (max-width: 37.5em) {
      .realtors__list {
        grid-template-columns: min-content max-content; } }
  .realtors__img {
    width: 7rem;
    border-radius: 50%;
    display: block; }
  .realtors__sold {
    text-transform: uppercase;
    color: #aaa;
    margin-top: -3px; }

.sidebar {
  background-color: #c69963;
  grid-row: 1 / -1;
  grid-column: sidebar-start / sidebar-end;
  position: relative;
  display: flex;
  justify-content: center; }
  @media only screen and (max-width: 62.5em) {
    .sidebar {
      grid-row: 1 / 2;
      grid-column: 1 / -1;
      justify-content: end; } }

.nav-btn {
  border: none;
  border-radius: 0;
  background-color: #fff;
  height: .2rem;
  width: 4.5rem;
  position: fixed;
  top: 5rem; }
  @media only screen and (max-width: 62.5em) {
    .nav-btn {
      top: 3rem;
      right: 6rem;
      position: relative; } }
  .nav-btn::before, .nav-btn::after {
    content: '';
    display: block;
    background-color: #fff;
    height: .2rem;
    width: 4.5rem; }
  .nav-btn::before {
    transform: translateY(-1.5rem); }
  .nav-btn::after {
    transform: translateY(1.3rem); }

.story__pictures {
  background-image: linear-gradient(rgba(198, 153, 99, 0.5), rgba(198, 153, 99, 0.5)), url(../img/back.jpg);
  background-size: cover;
  grid-column: full-start / col-end 4;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-template-rows: repeat(6, 1fr);
  align-items: center; }
  @media only screen and (max-width: 50em) {
    .story__pictures {
      grid-column: 1 / -1;
      padding: 3rem; } }

.story__img--1 {
  width: 100%;
  grid-column: 2 / 6;
  grid-row: 2 / 6;
  box-shadow: 0 2rem 5rem rgba(0, 0, 0, 0.1); }
  @media only screen and (max-width: 50em) {
    .story__img--1 {
      grid-column: 1 / 5;
      grid-row: 1 / -1;
      width: 100%; } }

.story__img--2 {
  width: 115%;
  grid-column: 4 / 7;
  grid-row: 4 / 6;
  z-index: 2;
  box-shadow: 0 2rem 5rem rgba(0, 0, 0, 0.2); }
  @media only screen and (max-width: 50em) {
    .story__img--2 {
      grid-row: 1 / -1;
      width: 100%; } }

.story__content {
  background-color: #f9f7f6;
  grid-column: col-start 5 / full-end;
  padding: 6rem 8vw;
  /*
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        */
  display: grid;
  align-content: center;
  justify-items: start; }
  @media only screen and (max-width: 50em) {
    .story__content {
      grid-column: 1 / -1;
      grid-row: 5 / 6; } }

.story__text {
  font-size: 1.5rem;
  font-style: italic;
  margin: 0 0 4rem; }
